For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList users
      • POSTCreate and Invite User
      • POSTResend User Invite
      • PATCHUpdate a user
      • GETGet a user
      • DELDelete a user
      • GETList User Roles
      • POSTAssign Role to User
      • DELRemove Role from User
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceUsers

Create and Invite User

POST
https://api.x.flatfile.com/v1/users/invite
POST
/v1/users/invite
$curl -X POST https://api.x.flatfile.com/v1/users/invite \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "john.smith@example.com",
> "name": "John Smith",
> "actorRoles": [
> {
> "roleId": "us_rol_YOUR_ID",
> "resourceId": "us_acc_YOUR_ID"
> },
> {
> "roleId": "us_rol_YOUR_ID",
> "resourceId": "us_env_YOUR_ID"
> }
> ]
>}'
200Example0
1{
2 "data": {
3 "accountId": "us_acc_YOUR_ID",
4 "actorRoles": [
5 {
6 "id": "us_acr_YOUR_ID",
7 "roleId": "us_rol_YOUR_ID",
8 "actorId": "us_usr_YOUR_ID",
9 "resourceId": "us_acc_YOUR_ID",
10 "createdAt": "2021-01-01T00:00:00Z",
11 "updatedAt": "2021-01-01T00:00:00Z"
12 },
13 {
14 "id": "us_acr_YOUR_ID",
15 "roleId": "us_rol_YOUR_ID",
16 "actorId": "us_ag_YOUR_ID",
17 "resourceId": "us_env_YOUR_ID",
18 "createdAt": "2021-01-01T00:00:00Z",
19 "updatedAt": "2021-01-01T00:00:00Z"
20 }
21 ],
22 "createdAt": "2023-10-30T16:59:45.735Z",
23 "email": "john.smith@example.com",
24 "id": "us_usr_YOUR_ID",
25 "idp": "FRONTEGG",
26 "metadata": {},
27 "name": "john.smith",
28 "updatedAt": "2023-10-30T16:59:45.735Z",
29 "dashboard": 2,
30 "idpRef": "ab1cf38e-e617-4547-b37d-376a7ac9e554",
31 "lastSeenAt": "2023-10-30T16:59:45.735Z"
32 }
33}
Creates and invites a new user to your account.
Was this page helpful?
Previous

Resend User Invite

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
emailstringRequired
namestringRequired
actorRoleslist of objectsRequired

Response

This endpoint returns an object.
dataobject